EnemyCollider = {}
EnemyCollider.__index = EnemyCollider


function EnemyCollider.LoadAssets(me)
	LoadModel(me,"Square","Billboard")
end

function EnemyCollider:Create(me)
	SetPower(me,1)
	

end

function EnemyCollider:Update(me)

	--x,y = GetPosition(me)
	--y = y - 32
	--CreateEmitter("Null", x,y)
	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function EnemyCollider:Collide(me,you)
	x,y = GetPosition(you)
	y = y - 32
	CreateEmitter("Sparks", x,y)
	PlaySoundEffect(2);
end

function EnemyCollider:CollideWorld(me)
	CreateEmitter("Sparks",GetPosition(me))
end